package com.th.demo.mapping.ware;

import com.th.demo.model.ware.CombineRecord;

import java.util.Date;
import java.util.List;

public interface CombineRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(CombineRecord record);

    int insertSelective(CombineRecord record);

    CombineRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(CombineRecord record);

    int updateByPrimaryKey(CombineRecord record);

    List<CombineRecord> select(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);
}